Cydia越狱后不能安装插件,错误Could not configure 'tar:iphoneos-arm'


#1


如图所示,无法更新插件。

这个起因是我自己写的淘宝的插件安装的时候出现如下问题:

(Reading database ... 6 files and directories currently installed.)
Preparing to unpack /tmp/_theos_install.deb ...
Unpacking cn.joyven.octopus.re (0.0.1-27+debug) over (0.0.1-27+debug) ...
dpkg: dependency problems prevent configuration of cn.joyven.octopus.re:
     cn.joyven.octopus.re depends on mobilesubstrate; however:
Package mobilesubstrate is not installed.

dpkg: error processing package cn.joyven.octopus.re (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 cn.joyven.octopus.re

意思是缺少依赖模块mobilesubstrate,那么我就想办法去安装,在Cydia中找到Cydia substrate,据说mobilesubstrate这个插件现在改名为Cydia substrate。

安装Cydia substrate的时候,出现了上面的截图的问题。类似下面的信息:

2018-11-01 11:07:28.709 Cydia[1425:46615] UIDataDetectorTypeLegacyPhoneNumber is 
incompatible with other types (80000000)
/bin/cp: `/var/mobile/Library/Caches/com.saurik.Cydia/extended_states' and 
`/var/lib/apt/extended_states' are the same file
E:[Could not configure 'tar:iphoneos-arm'. ]
E:[Could not perform immediate configuration on 'gzip:iphoneos-arm'. Please see man 5 
apt.conf under APT::Immediate-Configure for details. (2)]
E:[Couldn't configure grep:iphoneos-arm, probably a dependency cycle.]
E:[Could not perform immediate configuration on 'lzma:iphoneos-arm'. Please see man 5 
apt.conf under APT::Immediate-Configure for details. (2)]
E:[Couldn't configure grep:iphoneos-arm, probably a dependency cycle.]
E:[Could not perform immediate configuration on 'tar:iphoneos-arm'. Please see man 5 
apt.conf under APT::Immediate-Configure for details. (2)]
E:[Couldn't configure grep:iphoneos-arm, probably a dependency cycle.]
2018-11-01 11:07:58.914 Cydia[1466:47496] Setting Language: [(null)] zh-Hans,en

于是上网搜索相关的插件的安装包:tar_1.29-10_iphoneos-arm.deb,cydia_1.1.28_b14_iphoneos-arm.deb,cydia-lproj_1.1.12_iphoneos-arm.deb,gzip_1.6-7_iphoneos-arm.deb,bzip2_1.0.5-8_iphoneos-arm.deb,gzip_1.6-7_iphoneos-arm.deb,debianutils_3.4.3ubuntu1-2_iphoneos-arm.deb等。

通过scp命名将上面的文件上传到手机的/tmp目录下面,执行dpkg -i xxx.deb安装,首先用到的tar,但是安装tar失败了,无法解压,于是,在本地电脑执行 dpkg -X tar_1.29-10_iphoneos-arm.deb ./tar解压tar的deb文件到tar目录,然后将其上传到对应的目录,并做好软连接。接下来,安装其他的插件,除了gzip、bzip2安装成功,其他的均没有成功,因为cydia需要依赖debianutils,安装debianutils的时候要依赖dpkg,但是dpkg本来就安装的,而且版本是1.18,比起他要就的debianutils pre-depends on dpkg (>= 1.14.25-8)要高很多。

想着根据前面的tar的安装方法在本地解压好之后在传到手机上,但是,解压后太多了,肯定复制上去放到对应的文件也会有问题。隧弃之。

在网上继续搜索,找到有文说把对应的文件放到/var/lib/Media/Cydia/Autoinstall目录,我尝试放上去,重开机,无效。

最好,在某个网站找到解决方法:

今天用i4助手越狱了以下我的iPhone5,系统是8.12的,越狱完后,打开Cydia,安装几个插件,可是安装了PP助手源,威锋源后,安装个PP助手软件,然后再安装其它插件的时候,就开始出现Couldn’t configure pre-depend dpkg for ncurses, probably a dependency cycle ,这个红色的警告,然后就无法安装任何插件,我百度一下后,发现很多人都出现过这个问题,有不少人到论坛求助,可是很少有人给出解答,有人让重新越狱,可是越狱过之后就无法重新越狱了,我尝试了多次方法,最终在一国外网站发现了解决办法,英文的我就不再说了,方法是找一个已经越狱过的手机,把越狱文件夹里面var文件夹里的lib里面的dpkg文件夹导出来,然后再导入到出问题的Cydia手机里覆盖一下,然后就正常了。我把我的dpkg文件上传到附件里了,只是里面安装的有其它插件,你可以把它删掉。这个方法仅供测试,我的是弄成功了,你可以尝试一下,最好先备份。风险自负。

这个方法确实奏效。于是分享给大家。不做抄袭者,感谢作者。原文地址:https://bbs.feng.com/read-htm-tid-10644547.html